Enum Class PhonePreferenceToCall
java.lang.Object
java.lang.Enum<PhonePreferenceToCall>
com.eqixiac.equinix.customerportal.enums.PhonePreferenceToCall
- All Implemented Interfaces:
APIParam, Serializable, Comparable<PhonePreferenceToCall>, Constable
Preferred time window to call a contact's phone number (
workPhonePrefToCall /
mobilePhonePrefToCall in smarthandsv1, shipmentsv1 and troubleticketv1). The specs'
deprecated BUSINESS_HOURS is not offered; use MY_BUSINESS_HOURS or
IBX_BUSINESS_HOURS.-
Nested Class Summary
Nested classes/interfaces inherited from class Enum
Enum.EnumDesc<E> -
Enum Constant Summary
Enum Constants -
Method Summary
Modifier and TypeMethodDescriptionstatic PhonePreferenceToCallReturns the enum constant of this class with the specified name.static PhonePreferenceToCall[]values()Returns an array containing the constants of this enum class, in the order they are declared.Methods inherited from class Enum
clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOfMethods inherited from interface APIParam
paramValueModifier and TypeMethodDescriptiondefault StringThe value exactly as it must appear on the wire in a query or path parameter.
-
Enum Constant Details
-
NEVER
-
ANYTIME
-
MY_BUSINESS_HOURS
-
IBX_BUSINESS_HOURS
-
-
Method Details
-
values
Returns an array containing the constants of this enum class, in the order they are declared.- Returns:
- an array containing the constants of this enum class, in the order they are declared
-
valueOf
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)- Parameters:
name- the name of the enum constant to be returned.- Returns:
- the enum constant with the specified name
- Throws:
IllegalArgumentException- if this enum class has no constant with the specified nameNullPointerException- if the argument is null
-